Bug 297021 - dbus autostart infrastructure
dbus autostart infrastructure
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 17:49 EDT by Colin Walters
Modified: 2009-03-24 10:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 10:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pidgin autostart patch (4.40 KB, patch)
2007-09-19 17:49 EDT, Colin Walters
no flags Details | Diff
spec goo (1.28 KB, patch)
2007-09-19 17:50 EDT, Colin Walters
no flags Details | Diff
autostart infrastructure, take 2 (4.67 KB, patch)
2007-09-20 14:36 EDT, Colin Walters
no flags Details | Diff

  None (edit)
Description Colin Walters 2007-09-19 17:49:47 EDT
The attached patch adds an option to Pidgin to enter "autostart" mode. 
Essentially, this disables the first-time dialogs from popping up.

It also adds a DBus service file that uses this option.  This allows other
software to integrate with Pidgin, without requiring that Pidgin be running at
that time.

From the user experience point of view, nothing changes except that software may
cause the tray icon to appear.  When executed from the menu, the Pidgin main
window appears as normal (although I think there may be some multi-instance
weirdness going on, but that isn't a bug this patch introduced).

It would be nice if you could push this patch upstream.
Comment 1 Colin Walters 2007-09-19 17:49:47 EDT
Created attachment 200151 [details]
pidgin autostart patch
Comment 2 Colin Walters 2007-09-19 17:50:57 EDT
Created attachment 200171 [details]
spec goo

Updates the spec goo to use the patch.
Comment 3 Colin Walters 2007-09-20 14:36:48 EDT
Created attachment 201141 [details]
autostart infrastructure, take 2

This patch fixes the issue where clicking on the tray icon did not show the
buddy list if Pidgin was autostarted.
Comment 4 Bug Zapper 2008-05-13 23:15:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Warren Togami 2008-11-23 14:34:24 EST
Colin, are you still trying to get this into upstream?
Comment 6 Warren Togami 2009-03-24 10:57:23 EDT
Colin, if you want this in pidgin you should go via upstream.

Note You need to log in before you can comment on or make changes to this bug.